Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse code

Revert "[deps][bug 401285] use package-import to depend on guava"

This reverts commit 09fb0eb.
  • Loading branch information...
commit 2885145d12e47fb4396112cd25daf82d6f057060 1 parent e38b84b
Dennis Huebner dhuebner authored
1  devtools/org.eclipse.xtext.bootstrap/META-INF/MANIFEST.MF
@@ -14,6 +14,7 @@ Require-Bundle: org.eclipse.xpand;bundle-version="1.1.0",
14 14 org.antlr.runtime;bundle-version="[3.2.0,3.2.1)",
15 15 de.itemis.xtext.antlr;bundle-version="2.0.0";resolution:=optional;x-installation:=greedy,
16 16 com.google.inject;bundle-version="2.0.0",
  17 + com.google.guava;bundle-version="1.0.0",
17 18 org.eclipse.xtext.ui;bundle-version="2.0.0",
18 19 org.eclipse.emf.mwe.utils;bundle-version="1.0.0",
19 20 org.eclipse.emf.mwe2.launch;bundle-version="2.0.0";resolution:=optional;x-installation:=greedy
1  devtools/org.eclipse.xtext.language-generator/META-INF/MANIFEST.MF
@@ -16,5 +16,6 @@ Require-Bundle: org.eclipse.xtext.tests;bundle-version="1.0.0",
16 16 org.eclipse.xtext.xtext.ui.tests;bundle-version="1.0.0",
17 17 org.eclipse.emf.codegen;bundle-version="2.5.0",
18 18 org.eclipse.emf.codegen.ecore;bundle-version="2.5.0",
  19 + com.google.guava;bundle-version="1.0.0",
19 20 org.eclipse.emf.mwe2.launch;bundle-version="1.0.0";resolution:=optional;x-installation:=greedy
20 21 Import-Package: org.apache.log4j;version="1.2.15"
1  ...clipse.xtext.xtext.ui.examples/contents/org.eclipse.xtext.example.arithmetics.tests/META-INF/MANIFEST.MF
@@ -8,6 +8,7 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5
8 8 Require-Bundle: org.eclipse.xtext.example.arithmetics;bundle-version="2.0.0",
9 9 org.eclipse.emf.ecore;bundle-version="2.5.0",
10 10 org.eclipse.xtext.junit4;bundle-version="2.3.0",
  11 + com.google.guava;bundle-version="1.0.0",
11 12 com.google.inject;bundle-version="2.0.0",
12 13 org.eclipse.xtext;bundle-version="2.0.0",
13 14 org.eclipse.xtext.example.arithmetics.ui,
1  ...es/org.eclipse.xtext.xtext.ui.examples/contents/org.eclipse.xtext.example.css.tests/META-INF/MANIFEST.MF
@@ -8,6 +8,7 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5
8 8 Require-Bundle: org.eclipse.emf.ecore;bundle-version="2.5.0",
9 9 org.junit;bundle-version="3.8.2",
10 10 org.eclipse.xtext.junit;bundle-version="2.0.0",
  11 + com.google.guava;bundle-version="1.0.0",
11 12 com.google.inject;bundle-version="2.0.0",
12 13 org.eclipse.xtext;bundle-version="2.0.0",
13 14 org.eclipse.xtext.example.css;bundle-version="1.0.0",
2  plugins/org.eclipse.xtend.lib/META-INF/MANIFEST.MF
@@ -10,5 +10,5 @@ Export-Package: org.eclipse.xtend.lib,
10 10 org.eclipse.xtend.lib.macro.declaration,
11 11 org.eclipse.xtend.lib.macro.expression,
12 12 org.eclipse.xtend.lib.macro.services
13   -Import-Package: com.google.common.annotations
  13 +Import-Package: com.google.common.annotations;version="10.0.1"
14 14 Require-Bundle: org.eclipse.xtext.xbase.lib;bundle-version="2.4.0";visibility:=reexport
6 plugins/org.eclipse.xtext.builder/META-INF/MANIFEST.MF
@@ -25,6 +25,7 @@ Export-Package: org.eclipse.xtext.builder,
25 25 Require-Bundle: org.eclipse.xtext;bundle-version="2.0.0",
26 26 org.eclipse.xtext.util;bundle-version="2.0.0",
27 27 org.eclipse.emf.ecore;bundle-version="2.5.0";visibility:=reexport,
  28 + com.google.guava;bundle-version="1.0.0",
28 29 com.google.inject;bundle-version="2.0.0",
29 30 org.eclipse.core.resources;bundle-version="3.5.0";resolution:=optional;x-installation:=greedy,
30 31 org.eclipse.jdt.core;bundle-version="3.5.0";resolution:=optional;x-installation:=greedy,
@@ -45,8 +46,5 @@ Require-Bundle: org.eclipse.xtext;bundle-version="2.0.0",
45 46 org.eclipse.jdt.debug;bundle-version="3.5.0";resolution:=optional;x-installation:=greedy,
46 47 org.eclipse.jdt.debug.ui;bundle-version="3.5.0";resolution:=optional
47 48 Bundle-ActivationPolicy: lazy
48   -Import-Package: com.google.common.base,
49   - com.google.common.collect,
50   - com.google.common.io,
51   - org.apache.log4j;version="1.2.15"
  49 +Import-Package: org.apache.log4j;version="1.2.15"
52 50 Bundle-Activator: org.eclipse.xtext.builder.internal.Activator
6 plugins/org.eclipse.xtext.util/.settings/.api_filters
@@ -7,11 +7,5 @@
7 7 <message_argument value="2.2.1"/>
8 8 </message_arguments>
9 9 </filter>
10   - <filter id="927989779">
11   - <message_arguments>
12   - <message_argument value="2.4.0"/>
13   - <message_argument value="com.google.guava"/>
14   - </message_arguments>
15   - </filter>
16 10 </resource>
17 11 </component>
10 plugins/org.eclipse.xtext.util/META-INF/MANIFEST.MF
@@ -11,10 +11,8 @@ Export-Package: org.eclipse.xtext.util,
11 11 org.eclipse.xtext.util.formallang;x-internal:=true,
12 12 org.eclipse.xtext.util.internal;x-internal:=true
13 13 Require-Bundle: org.eclipse.emf.ecore;bundle-version="2.3.2",
14   - com.google.guava;resolution:=optional;visibility:=reexport;x-installation:=greedy,
15   - com.google.inject;bundle-version="2.0.0";resolution:=optional;visibility:=reexport;x-installation:=greedy,
16   - javax.inject;bundle-version="1.0.0";resolution:=optional;visibility:=reexport;x-installation:=greedy,
  14 + com.google.guava;bundle-version="10.0.1";resolution:=optional;x-installation:=greedy;visibility:=reexport,
  15 + com.google.inject;bundle-version="2.0.0";resolution:=optional;x-installation:=greedy;visibility:=reexport,
  16 + javax.inject;bundle-version="1.0.0";resolution:=optional;x-installation:=greedy;visibility:=reexport,
17 17 org.eclipse.jdt.annotation;bundle-version="1.0.0";resolution:=optional;x-installation:=greedy
18   -Import-Package: com.google.common.base,
19   - com.google.common.collect,
20   - org.apache.log4j;version="1.2.15"
  18 +Import-Package: org.apache.log4j;version="1.2.15"
11 plugins/org.eclipse.xtext.xbase.junit/.settings/.api_filters
... ... @@ -1,11 +0,0 @@
1   -<?xml version="1.0" encoding="UTF-8" standalone="no"?>
2   -<component id="org.eclipse.xtext.xbase.junit" version="2">
3   - <resource path="META-INF/MANIFEST.MF">
4   - <filter id="927989779">
5   - <message_arguments>
6   - <message_argument value="2.4.0"/>
7   - <message_argument value="com.google.guava"/>
8   - </message_arguments>
9   - </filter>
10   - </resource>
11   -</component>
8 plugins/org.eclipse.xtext.xbase.junit/META-INF/MANIFEST.MF
@@ -5,7 +5,7 @@ Bundle-Version: 2.4.0.qualifier
5 5 Bundle-Localization: plugin
6 6 Bundle-RequiredExecutionEnvironment: J2SE-1.5
7 7 Require-Bundle: org.eclipse.xtext.xbase.lib;bundle-version="2.0.0";visibility:=reexport,
8   - com.google.guava;resolution:=optional;visibility:=reexport,
  8 + com.google.guava;bundle-version="1.0.0";visibility:=reexport,
9 9 com.google.inject;bundle-version="2.0.0";visibility:=reexport,
10 10 org.eclipse.core.resources;bundle-version="3.5.0";resolution:=optional;visibility:=reexport;x-installation:=greedy,
11 11 org.eclipse.emf.ecore;bundle-version="2.5.0";resolution:=optional;visibility:=reexport;x-installation:=greedy,
@@ -27,9 +27,5 @@ Export-Package: org.eclipse.xtext.xbase.compiler;x-internal:=true,
27 27 testdata.ordersensitivity
28 28 Bundle-Name: %pluginName
29 29 Bundle-Vendor: %providerName
30   -Import-Package: com.google.common.annotations,
31   - com.google.common.base,
32   - com.google.common.collect,
33   - com.google.common.primitives,
34   - org.apache.log4j;version="1.2.15",
  30 +Import-Package: org.apache.log4j;version="1.2.15",
35 31 org.junit;version="[4.0.0,5.0.0)"
5 plugins/org.eclipse.xtext.xbase.lib.gwt/META-INF/MANIFEST.MF
@@ -6,6 +6,5 @@ Bundle-Version: 2.4.0.qualifier
6 6 Export-Package: org.eclipse.xtend2.lib,
7 7 org.eclipse.xtext.xbase.lib
8 8 Bundle-RequiredExecutionEnvironment: J2SE-1.5
9   -Import-Package: com.google.common.annotations,
10   - com.google.common.base,
11   - com.google.common.collect
  9 +Require-Bundle: com.google.guava;bundle-version="10.0.1"
  10 +
17 plugins/org.eclipse.xtext.xbase.lib/.settings/.api_filters
... ... @@ -1,17 +0,0 @@
1   -<?xml version="1.0" encoding="UTF-8" standalone="no"?>
2   -<component id="org.eclipse.xtext.xbase.lib" version="2">
3   - <resource path="META-INF/MANIFEST.MF">
4   - <filter id="923795461">
5   - <message_arguments>
6   - <message_argument value="2.4.0"/>
7   - <message_argument value="2.3.0"/>
8   - </message_arguments>
9   - </filter>
10   - <filter id="927989779">
11   - <message_arguments>
12   - <message_argument value="2.4.0"/>
13   - <message_argument value="com.google.guava"/>
14   - </message_arguments>
15   - </filter>
16   - </resource>
17   -</component>
6 plugins/org.eclipse.xtext.xbase.lib/META-INF/MANIFEST.MF
@@ -8,9 +8,5 @@ Export-Package: org.eclipse.xtend2.lib,
8 8 org.eclipse.xtext.xbase.lib,
9 9 org.eclipse.xtext.xbase.lib.internal;x-internal:=true,
10 10 org.eclipse.xtext.xbase.lib.util
11   -Require-Bundle: com.google.guava;resolution:=optional;visibility:=reexport
  11 +Require-Bundle: com.google.guava;visibility:=reexport;bundle-version="10.0.1"
12 12 Bundle-Vendor: Eclipse Modeling Project
13   -Import-Package: com.google.common.annotations,
14   - com.google.common.base,
15   - com.google.common.collect,
16   - com.google.common.primitives
4 xtext.website.generator/META-INF/MANIFEST.MF
@@ -5,6 +5,7 @@ Bundle-SymbolicName: xtext.website.generator
5 5 Bundle-Version: 1.0.0.qualifier
6 6 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
7 7 Require-Bundle: org.eclipse.xtend.lib;bundle-version="2.3.0",
  8 + com.google.guava,
8 9 org.eclipse.xtext.xbase.lib,
9 10 org.eclipse.xtend.bootstrapdoc;bundle-version="1.0.0",
10 11 org.eclipse.xtext.xdoc;bundle-version="0.1.0",
@@ -13,6 +14,3 @@ Require-Bundle: org.eclipse.xtend.lib;bundle-version="2.3.0",
13 14 org.eclipse.xtend.core;bundle-version="2.3.0";visibility:=reexport
14 15 Export-Package: generator,
15 16 xdocgen
16   -Import-Package: com.google.common.base,
17   - com.google.common.collect,
18   - com.google.common.io

0 comments on commit 2885145

Please sign in to comment.
Something went wrong with that request. Please try again.